description: >
    Implement to represent arbitrary associations between objects in the DBus
    namespace.

    An object implementing Association describes a one way, one to many
    association where the parent object is associated to the objects
    in the Endpoints property, with the association type defined as the name
    of the object implementing Association.
properties:
    - name: Endpoints
      type: array[path]
      description: >
          An array of association endpoints.
